Bug 1340637

Summary: PMDK (NVML) does not support s390x architecture
Product: [Fedora] Fedora Reporter: Krzysztof Czurylo <krzysztof.czurylo>
Component: nvmlAssignee: Krzysztof Czurylo <krzysztof.czurylo>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: adam.borowski, dan, hannsj_uhl, krzysztof.czurylo, marcin.slusarz
Target Milestone: ---   
Target Release: ---   
Hardware: s390x   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 485231    

Description Krzysztof Czurylo 2016-05-29 11:32:15 UTC
Description of problem:

1. By design, NVML does not support any 32-bit architecture.
2. Due to dependency on xmmintrin.h and because of using some inline assembly, it builds only for x86_64 at the moment.  Other 64-bit architectures could also be supported, if only there is a request for that, and if somebody provides the arch-specific implementation of the low-level routines for flushing to persistent memory.

Comment 1 Jan Kurik 2016-07-26 04:31:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Fedora End Of Life 2017-11-16 18:45:04 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-02-20 15:25:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 4 Ben Cotton 2019-02-19 17:11:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 5 Adam Borowski 2019-11-08 16:30:33 UTC
Status update: there's no s390x support for persistent memory in the kernel, and I'm not aware of such efforts.  Thus, for foreseable future, support in PMDK is unlikely to be worked on.

Comment 6 Ben Cotton 2020-02-11 15:43:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.